Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.actions
Class OpenWithMenu

    java.lang.Object
      org.eclipse.jface.action.ContributionItem
          org.eclipse.ui.actions.OpenWithMenu

All Implemented Interfaces:
  IContributionItem

public class OpenWithMenu
extends ContributionItem

A menu for opening files in the workbench.

An `OpenWithMenu` is used to populate a menu with "Open With" actions. One action is added for each editor which is applicable to the selected file. If the user selects one of these items, the corresponding editor is opened on the file.

This class may be instantiated; it is not intended to be subclassed.

Field Summary
`static String` | `ID` The id of this action.

Constructor Summary
`OpenWithMenu(IWorkbenchPage page)` Constructs a new instance of `OpenWithMenu`.
`OpenWithMenu(IWorkbenchPage page, IAdaptable file)` Constructs a new instance of `OpenWithMenu`.

Method Summary
`void` | `fill(Menu menu, int index)` The default implementation of this `IContributionItem` method does nothing.
`boolean` | `isDynamic()` The default implementation of this `IContributionItem` method returns `false`.

Methods inherited from class org.eclipse.jface.action.ContributionItem
`dispose, fill, fill, fill, getId, getParent, isDirty, isEnabled, isGroupMarker, isSeparator, isVisible, saveWidgetState, setParent, setVisible, toString, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ID

    public static final String ID

  The id of this action.

  See Also:
    Constant Field Values

Constructor Detail

### OpenWithMenu

    public OpenWithMenu(IWorkbenchPage page)

  Constructs a new instance of `OpenWithMenu`.

  If this method is used be sure to set the selected file by invoking `setFile`. The file input is required when the user selects an item in the menu. At that point the menu will attempt to open an editor with the file as its input.

Parameters:
  `page` - the page where the editor is opened if an item within the menu is selected

### OpenWithMenu

    public OpenWithMenu(IWorkbenchPage page,
                        IAdaptable file)

  Constructs a new instance of `OpenWithMenu`.

Parameters:
  `page` - the page where the editor is opened if an item within the menu is selected
  `file` - the selected file

Method Detail

### fill

    public void fill(Menu menu,
                     int index)

  Description copied from class: `ContributionItem`
  The default implementation of this `IContributionItem` method does nothing. Subclasses may override.

  Specified by:
    `fill` in interface `IContributionItem`
  Overrides:
    `fill` in class `ContributionItem`

### isDynamic

    public boolean isDynamic()

  Description copied from class: `ContributionItem`
  The default implementation of this `IContributionItem` method returns `false`. Subclasses may override.

  Specified by:
    `isDynamic` in interface `IContributionItem`
  Overrides:
    `isDynamic` in class `ContributionItem`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.